Skip to main content
GET
/
v1
/
data-sources
/
{dataSourceId}
Retrieve a Data Source by id
curl --request GET \
  --url https://reporter.sandbox.lerian.net/v1/data-sources/{dataSourceId} \
  --header 'X-Organization-id: <x-organization-id>'
{
  "id": "midaz_onboarding",
  "externalName": "onboarding",
  "type": "postgresql",
  "tables": [
    {
      "name": "account",
      "fields": [
        "id",
        "name",
        "alias",
        "parent_account_id",
        "created_at",
        "updated_at"
      ]
    },
    {
      "name": "organization",
      "fields": [
        "id",
        "legal_name",
        "status",
        "created_at"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string

The authorization token in the 'Bearer ' format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

X-Organization-id
string
required

The unique identifier of the Organization associated with the request.

Path Parameters

dataSourceId
string
required

The unique identifier of the data source that you want to retrieve.

Response

If the result is successful, you will receive a list with all data sources.

Detailed information about a specific data source including its schema.

id
string
required

Unique internal identifier of the data source.

externalName
string
required

Name of the database or collection.

type
string
required

Type of database system (postgresql, mongodb, mysql).

tables
object[]
required

List of tables/collections in this data source.